#!/bin/sh
# (c) MandrakeSoft.
# Chmouel Boudjnah <chmouel@mandraksoft.com>
#
# Some small mods by Oystein Viggen <oysteivi@trustix.com>

#
[ -f /etc/updatedb.conf ] && . /etc/updatedb.conf || {
    FROM="/"
    EXCLUDE="/proc,/tmp/,/var/tmp,/usr/tmp,/net,/afs,/mnt"
    SECURITY="1"
    VERBOSE="NO"
    DATABASE="/var/lib/slocate/slocate.db"
    FSEXCLUDE="nfs,smbfs,ncpfs,proc,devpts,devfs,supermount"
}

/usr/bin/which slocate &> /dev/null || exit 1

#
[ "$FROM" = "/" ] && FROM="-u" || FROM="-U $FROM"
[ "$VERBOSE" = "YES" ] && VERBOSE="-v" || VERBOSE=""
[ -n "$LOCATE_PATH" ] && $DATABASE=$LOCATE_PATH
[ -f $DATABASE ] && touch $DATABASE

#
if [ -f $DATABASE ]
then
    slocate $FROM $VERBOSE -l $SECURITY -d $DATABASE -f "$FSEXCLUDE" -e "$EXCLUDE"
else
    slocate $FROM $VERBOSE -l $SECURITY -f "$FSEXCLUDE" -e "$EXCLUDE"
fi
