Summary: Finds files on a system via a central database.
Name: slocate
Version: 2.7
Release: 4tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.geekreview.org/slocate/src/%{name}-%{version}.tar.gz
Patch0: slocate-2.6-can-2003-0848.patch
Source3: slocate-updatedb.conf
Source4: slocate-updatedb.sh
Prereq: shadow-utils
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Slocate is a security-enhanced version of locate. Just like locate,
slocate searches through a central database (which is updated nightly)
for files which match a given pattern. Slocate allows you to quickly
find files anywhere on your system.

%prep
%setup -q
%patch0 -p1

%build
NOCONFIGURE=yes ./autogen.sh
export NO64FLAGS=$(echo $RPM_OPT_FLAGS | sed "s|-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1 -D_LARGEFILE64_SOURCE=1||")
CFLAGS="$NO64FLAGS" AUTOMAKE=automake ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir}
make CFLAGS="$NO64FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/var/lib/slocate

make DESTDIR=$RPM_BUILD_ROOT install

# locate is traditional
(cd $RPM_BUILD_ROOT/%{_bindir} && rm -f locate && ln -s slocate locate )
(cd $RPM_BUILD_ROOT%{_mandir}/man1 && ln -sf slocate.1 locate.1)

# our wonderful updatedb wrapper script
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/updatedb.conf
rm -f $RPM_BUILD_ROOT/%{_bindir}/updatedb
install -m755 %{SOURCE4} $RPM_BUILD_ROOT/%{_bindir}/updatedb

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
groupadd -g 16 slocate >/dev/null 2>/dev/null || :

%preun
if [ "$1" = "0" ]; then 
  [ -f /var/lib/slocate/slocate.db ] && rm -f /var/lib/slocate/slocate.db || :
fi

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL README LICENSE MIRRORS NEWS README
%attr(2755,root,slocate) %{_bindir}/*locate
%attr(-,root,root) %{_bindir}/updatedb
%{_mandir}/man1/*
%dir %attr(750,root,slocate) /var/lib/slocate
%config /etc/cron.daily/*
%config(noreplace) /etc/updatedb.conf

%changelog
* Tue Jun 22 2004 Chr. Toldnes <christht at trustix dot org> 2.7-4tr
- applied patch to really fix CAN-2003-0848

* Wed Jan 21 2004 Oystein Viggen <oysteivi at trustix dot org> 2.7-1tr
- New upstream version fixes CAN-2003-0848
- Corrected ftp url in Source
- Need to rerun autogen.sh, as configure wanted to run "automake-1.4"

* Thu Jan 15 2004 Chr. Toldnes <christht at trustix dot org> 2.6-5tr
- Stripped LFS enabling in CFLAGS

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.6-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.6-3em
- Rebuilt against glibc 2.3.2.

* Thu Sep 26 2002 Nico Erfurth <masta at trustix dot org>
- Changed Copyright: to License:
- The new groupadd does not allow the -r option anymore (why?)
  changed groupadd to use a fixed GID(16)
- use slocates cronscript instead of our own

* Mon Jun 11 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Tue Mar  6 2001 Oystein Viggen <oysteivi at trustix dot com>
- update to v2.5
- removed segv.patch as a similar fix was included upstream.

* Tue Nov 28 2000 Oystein Viggen <oysteivi at trustix dot com>
- Update to v2.3

* Wed Jul 19 2000 Oystein Viggen <oysteivi at trustix dot com>
- Made slocate.cron call updatedb instead of ignoring the nice
  config file.
- Made the %pre add a group for slocate, as this is not in the
  default group setup of TSL
- Some minor config changes

* Tue Jul 18 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2-3mdk

- Oops... Really commented out %post this time...
- made %preun always succeed

* Tue Jul 18 2000 Francis Galiegue <fg@mandrakesoft.com> 2.2-2mdk

- 2.2 doesn't like empty databases - touch not prereq'ed anymore
- /etc/updatedb.conf is %config(noreplace)

* Sat Jul  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2-1mdk
- Remove add/remove/group stuff (move them to the default group from
  setup package).
- Macroszification.
- Correct source url.
- 2.2.

* Fri Apr 28 2000 Pixel <pixel@mandrakesoft.com> 2.1-6mdk
- add symlink slocate -> locate (make it be there as it should, aka fix bug in spec)

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1-5mdk
- fixed release tag

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-4mdk
- Exclude dangerous filesystems by default with updatedb.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Prereq of /bit/touch.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.1.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add filesystem to updatedb script to fix loop update.(#76)

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Yet another typo fix in updatedb.

* Mon Aug 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add fix for updatedb from Randall W. Hron <randall.hron@sprintparanet.com>.

* Wed Jul 21 1999 Gregus <gregus@etudiant.net>
- fr locale

* Thu Jul 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0:
    - Converted the original recursive file tree walking code over to the
      newly supported fts() function.  This is the main reason for pushing
      the version to 2.0.  This is much more stable and has fixed a few
      bugs that didn't allow the whole file system to be scanned.  I took
      the fts() code right from glibc so that it may be used on libc5
      systems.
    - Added File System Exclusion option. ( -f "fstype1,fstype2,..." ).
      Now you can exclude NFS, proc, ext2, etc without listing each path.
    - If 'updatedb' is used to update the database, GNU Locate's original
      '/etc/updatedb.conf' will be used to exclude file systems and paths.
      When using 'slocate' to update the database, the '-c' option may now
      be used to parse the '/etc/updatedb.conf' file.
      *NOTE* - This only works under Linux.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.6 versions.
- Remove obsolete patch.

* Mon May 24 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 1.5
- add fix from bugtraq list
- Fix slocate.cron compatibility with bash2

* Sat May 22 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Add /var/lib/slocate/slocate.db, if it doesn't exist (required to work)
- Prereq fileutils (we need touch)

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix slocate.cron bugs.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a updatedb and a updatedb.conf.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update man-pages.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- %post groupadd changed to %pre 
